Subject: FVWM: Help with FvwmButtons

From: Johan Svedberg <[email-masked]>
Date: Wed, 14 Jan 2004 14:50:28 +0100

Hi!

I've been trying to make some changes to my FvwmButtons-bar I havn't
been able to make it look the way I want. Thus, some help would be
greatly appreciated. I guess it will be pretty trivial for the expert.

I'll try to illustrate what I'm trying to do with some simple
ascii-drawing.

Current look:

    |---------------------------------------------------------|
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |---------------------------------------------------------|
    |xclock                                          FvwmPager|
    |---------------------------------------------------------|

Wanted look:

    |---------------------------------------------------------|
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                                                         |
    |                   ------------------                    |
    |                   |xclock FvwmPager|                    |
    |---------------------------------------------------------|

I.e. I want the bar centered at the bottom of the screen and only taking
up as much space as it "wants" to. FWIW, my current FvwmButtons
configuration:

    SetEnv BorderWidth 1
    SetEnv FvwmButtonsBorderWidth 3
    SetEnv FvwmButtonsHeight 30
    SetEnv TitleBarHeight 14

    PipeRead `printf "SetEnv FvwmButtonsWidth "; expr $[vp.width] - $[FvwmButtonsBorderWidth] - $[FvwmButtonsBorderWidth]`
    PipeRead `printf "SetEnv WorkSpaceHeight "; expr $[vp.height] - $[FvwmButtonsBorderWidth] - $[FvwmButtonsHeight] - $[FvwmButtonsBorderWidth] - $[TitleBarHeight] - $[BorderWidth] - $[BorderWidth]`
    PipeRead `printf "SetEnv WorkSpaceWidth "; expr $[vp.width] - $[BorderWidth] - $ [BorderWidth]`

    *FvwmButtons: Back white
    *FvwmButtons: BoxSize smart
    *FvwmButtons: Columns 5
    *FvwmButtons: Font None
    *FvwmButtons: Fore black
    *FvwmButtons: Frame 0
    *FvwmButtons: Geometry $[FvwmButtonsWidth]x$[FvwmButtonsHeight]+0-0
    *FvwmButtons: Padding 0 0
    *FvwmButtons: Rows 1
    *FvwmButtons: (1x1+0+0, Padding 0 6, Swallow "XClock" 'Exec exec xclock -bg white -fg black -fn "-*-lucida-bold-r-*-*-12-*-*-*-*-*-*-*" -digital -update 1 -padding 0 &')
    *FvwmButtons: (1x1-0+0, Padding 0 2, Swallow "FvwmPager" 'Module FvwmPager')

Regards,

-- 
Johan Svedberg, [email-masked], http://johan.svedberg.pp.se/

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].